Show / Hide Table of Contents

# Class MarketBoardHistory

##### Inheritance

System.Object
MarketBoardHistory

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class MarketBoardHistory

### Fields

| Improve this Doc View Source

#### CatalogId

##### Declaration

    public uint CatalogId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CatalogId2

##### Declaration

    public uint CatalogId2

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### HistoryListings

##### Declaration

    public List<MarketBoardHistory.MarketBoardHistoryListing> HistoryListings

##### Field Value

Type | Description
--- | ---
System.Collections.Generic.List<MarketBoardHistory.MarketBoardHistoryListing> |

### Methods

| Improve this Doc View Source

#### Read(IntPtr)

##### Declaration

    public static MarketBoardHistory Read(IntPtr dataPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dataPtr |

##### Returns

Type | Description
--- | ---
MarketBoardHistory |